Bug 187702 - [patch] www/chromium fails with CC/CXX containing spaces
[patch] www/chromium fails with CC/CXX containing spaces
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: chromium
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-18 16:50 UTC by kamikaze
Modified: 2014-05-14 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (432 bytes, patch)
2014-03-18 16:50 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2014-03-18 16:50:00 UTC
Build fails when CC/CXX contain spaces.


./build/gyp_chromium chrome/chrome.gyp --depth .
cc: error: unsupported option '--depth'
cc: error: no such file or directory: 'CXX=env'
cc: error: no such file or directory: 'c++'
cc: error: no such file or directory: 'GYP_GENERATORS=ninja'
cc: error: no such file or directory: 'GYP_DEFINES=use_cups=1  use_system_yasm=1  use_system_libxml=1  use_system_ffmpeg=0  use_system_libusb=1  use_system_libevent=1  use_system_libvpx=0  linux_breakpad=0  linux_strip_binary=1  linux_use_tcmalloc=0  linux_use_heapchecker=0  test_isolation_mode=noop  clang_use_chrome_plugins=0  disable_nacl=1  enable_webrtc=1  enable_openmax=1  enable_one_click_signin=1  werror=  no_gc_sections=1  os_ver=1000702  prefix_dir=/usr/local  python_ver=2.7 google_api_key=AIzaSyBsp9n41JLW8jCokwn7vhoaMejDFRd1mp8  google_default_client_id=996322985003.apps.googleusercontent.com  google_default_client_secret=IR1za9-1VK0zZ0f_O8MVFicn ffmpeg_branding=Chrome proprietary_codecs=1 use_pulseaudio=0 buildtype=Official clang=1'
cc: error: no such file or directory: 'PYTHON=/usr/local/bin/python2.7'
cc: error: no such file or directory: 'PKG_CONFIG=pkgconf'
cc: error: no such file or directory: 'AR=/usr/bin/ar'
cc: error: no such file or directory: 'CFLAGS=-O2 -pipe -march=native -fno-stack-protector -Wno-unknown-warning-option -fno-strict-aliasing'
cc: error: no such file or directory: 'CPPFLAGS='
cc: error: no such file or directory: 'CXXFLAGS=-O2 -pipe -march=native -fno-stack-protector -Wno-unknown-warning-option -fno-strict-aliasing'
cc: error: no such file or directory: 'LDFLAGS='
cc: error: no such file or directory: 'SHELL=/bin/sh'
cc: error: no such file or directory: 'CONFIG_SHELL=/bin/sh'
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/chromium
*** Error code 1

Stop.
make: stopped in /usr/ports/www/chromium

Fix: Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/www/chromium
# make CC="env cc" CXX="env c++"
Comment 1 Edwin Groothuis freebsd_committer 2014-03-23 00:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-chromium

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer 2014-03-23 19:41:56 UTC
Responsible Changed
From-To: freebsd-chromium->chromium

Canonicalize assignment.
Comment 3 dfilter freebsd_committer 2014-05-05 12:34:02 UTC
Author: rene
Date: Mon May  5 11:33:59 2014
New Revision: 352994
URL: http://svnweb.freebsd.org/changeset/ports/352994
QAT: https://qat.redports.org/buildarchive/r352994/

Log:
  Fix quoting of environment variables.
  
  PR:		ports/187702
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de>

Modified:
  head/www/chromium/Makefile

Modified: head/www/chromium/Makefile
==============================================================================
--- head/www/chromium/Makefile	Mon May  5 11:15:53 2014	(r352993)
+++ head/www/chromium/Makefile	Mon May  5 11:33:59 2014	(r352994)
@@ -138,12 +138,12 @@ BUILDTYPE=	Release
 GYP_DEFINES+=	buildtype=Official
 .endif
 
-CONFIGURE_ENV+=	CC=${CC} \
-		CXX=${CXX} \
+CONFIGURE_ENV+=	CC="${CC}" \
+		CXX="${CXX}" \
 		GYP_GENERATORS=ninja \
 		GYP_DEFINES="${GYP_DEFINES}"
 MAKE_ENV+=	BUILDTYPE=${BUILDTYPE} \
-		GPERF=${LOCALBASE}/bin/gperf
+		GPERF="${LOCALBASE}/bin/gperf"
 MAKE_ARGS+=	-C out/${BUILDTYPE}
 
 .include <bsd.port.pre.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Rene Ladan freebsd_committer 2014-05-05 12:34:13 UTC
State Changed
From-To: open->closed

Committed a slightly different fix, thanks
Comment 5 dfilter freebsd_committer 2014-05-14 16:26:40 UTC
Author: rene
Date: Wed May 14 15:26:36 2014
New Revision: 354066
URL: http://svnweb.freebsd.org/changeset/ports/354066
QAT: https://qat.redports.org/buildarchive/r354066/

Log:
  MFH: r352994
  
  Fix quoting of environment variables.
  
  PR:		ports/187702
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de>
  
  Approved by:	portmgr (erwin)

Modified:
  branches/2014Q2/www/chromium/Makefile
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/www/chromium/Makefile
==============================================================================
--- branches/2014Q2/www/chromium/Makefile	Wed May 14 15:19:27 2014	(r354065)
+++ branches/2014Q2/www/chromium/Makefile	Wed May 14 15:26:36 2014	(r354066)
@@ -138,12 +138,12 @@ BUILDTYPE=	Release
 GYP_DEFINES+=	buildtype=Official
 .endif
 
-CONFIGURE_ENV+=	CC=${CC} \
-		CXX=${CXX} \
+CONFIGURE_ENV+=	CC="${CC}" \
+		CXX="${CXX}" \
 		GYP_GENERATORS=ninja \
 		GYP_DEFINES="${GYP_DEFINES}"
 MAKE_ENV+=	BUILDTYPE=${BUILDTYPE} \
-		GPERF=${LOCALBASE}/bin/gperf
+		GPERF="${LOCALBASE}/bin/gperf"
 MAKE_ARGS+=	-C out/${BUILDTYPE}
 
 .include <bsd.port.pre.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"